org.appng.appngizer.controller

## Class SiteController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.SiteController

-     @Controller
       @RestController
      public class SiteController
      extends ControllerBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SiteController.ReloadSiteFromAppNGizer`

  - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Site>` | `createSite(Site site, javax.servlet.http.HttpServletRequest request)`
    `org.springframework.http.ResponseEntity<Void>` | `deleteSite(String name)`
    `org.springframework.http.ResponseEntity<Site>` | `getSite(String name)`
    `org.springframework.http.ResponseEntity<Sites>` | `listSites()`
    `org.springframework.http.ResponseEntity<Void>` | `reloadSite(String name)`
    `org.springframework.http.ResponseEntity<Site>` | `updateSite(String name, Site site)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteController

          public SiteController()

  - ### Method Detail

    - #### listSites

          @GetMapping(value="/site")
          public org.springframework.http.ResponseEntity<Sites> listSites()

    - #### getSite

          @GetMapping(value="/site/{name}")
          public org.springframework.http.ResponseEntity<Site> getSite(@PathVariable(value="name")
                                                                                                         String name)

    - #### reloadSite

          @PutMapping(value="/site/{name}/reload")
          public org.springframework.http.ResponseEntity<Void> reloadSite(@PathVariable(value="name")
                                                                                                                   String name)
                                                                                                            throws BusinessException

      Throws:
        `BusinessException`

    - #### createSite

          @PostMapping(value="/site")
          public org.springframework.http.ResponseEntity<Site> createSite(@RequestBody
                                                                                                      Site site,
                                                                                                      javax.servlet.http.HttpServletRequest request)
                                                                                               throws ConflictException

      Throws:
        `ConflictException`

    - #### updateSite

          @PutMapping(value="/site/{name}")
          public org.springframework.http.ResponseEntity<Site> updateSite(@PathVariable(value="name")
                                                                                                            String name,
                                                                                                            @RequestBody
                                                                                                            Site site)

    - #### deleteSite

          @DeleteMapping(value="/site/{name}")
          public org.springframework.http.ResponseEntity<Void> deleteSite(@PathVariable(value="name")
                                                                                                               String name)
                                                                                                        throws BusinessException

      Throws:
        `BusinessException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.